Ticket #44163

savegame3.c: Drop ai_level_convert() use

Eröffnet am: 2022-03-23 15:38 Letztes Update: 2022-04-06 18:31

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
1

Details

AI level specenum related functionality (incl. level name) has existed for a very long time (since 2007). It would be very surprising if even the earliest savegame3 saves still had skill level saved as integer (needs to be confirmed, naturally). Thus the compatibility for that should be cleaned out from savegame3.c.

Ticket-Verlauf (3/4 Historien)

2022-03-23 15:38 Aktualisiert von: cazfi
  • New Ticket "savegame3.c: Drop ai_level_convert() use" created
2022-03-26 07:18 Aktualisiert von: cazfi
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to S3_1 d3f (closed)
2022-04-06 18:31 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden